/*
Theme Name: Avada Child
Description: Child theme for Avada theme
Author: ThemeFusion
Author URI: https://theme-fusion.com
Template: Avada
Version: 1.0.0
Text Domain:  Avada
*/

.ca-container-contents {
    font-size: 20px;
    border-bottom: 1px solid #ffffff;
    position: relative;
    color: var(--awb-color7);
}

.ca-container-contents .ca-container-contents__page-progress-bar {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}

.ca-container-contents .ca-page-progress-bar__bar {
    background: var(--awb-color3);
    height: 100%;
    float: right;
}

.ca-container-contents .ca-container-contents__wrapper {
    z-index: 1;
    position: relative;
}

.ca-container-contents a {
    color: var(--awb-color7);
}

.ca-container-contents a:hover {
    color: var(--awb-color5);
}

.ca-container-contents ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.ca-container-contents .ca-container-contents__menu {
    transition: height 0.3s ease;
    overflow: hidden;
}

.ca-container-contents ul li {
    border-bottom: 1px solid var(--awb-color5);
    background: var(--awb-color2);
}

.ca-container-contents ul li:nth-child(even) {
    background: var(--awb-color3);
}

.ca-container-contents ul li a {
    max-width: var(--site_width);
    display: block;
    font-size: 18px;
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--container_padding_100_left);
    padding-right: var(--container_padding_100_right);
    padding-top: 10px;
    padding-bottom: 10px;
    box-sizing: content-box;
}
    
.ca-container-contents ul li a:hover {
    padding-left: 50px;
    transition: all 0.2s ease;
}

.ca-container-contents ul li a i {
    margin-right: 20px;
}

.ca-container-contents .ca-container-contents__toggle{
    font-size: 20px;
    padding-top: 8px;
    padding-bottom: 8px;
    max-width: var(--site_width);
    margin-left: auto;
    margin-right: auto;
    padding-left: var(--container_padding_100_left);
    padding-right: var(--container_padding_100_right);
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    box-sizing: content-box;
}

.desktop-view {
    display: block;
}

.mobile-view {
    display: none;
}

/* Desktop Styles */
.kursplan-wrapper .kursplan-header {
    display: flex;
    justify-content: space-between;
    margin-bottom: 10px;
    font-weight: bold;
}

.kurs-tag {
    flex: 1;
    text-align: center;
    padding: 5px;
    border-bottom: 2px solid #2f2f2f;    
}

.kurs-row {
    display: flex;
    align-items: center;
    margin: 5px;
    gap: 5px;
    align-items: stretch;
}

.kurs-list {
    flex: 1;
    display: flex;
    justify-content: center;
    gap: 10px;
    row-gap: 10px;
    text-align: center;
    color: #ffffff;
    font-size: 18px;
}

.kurs-list:nth-child(2n+1) {
    background: #f2f2f2;;
}

.kurs-item {
    padding: 5px 10px;
    border-radius: 5px;
    background-color: #f0f0f0;
    display: inline-block;
    width: 100%;
    color: #ffffff;
}

.kurs-item.cardio { background-color: #ffb716; }
.kurs-item.kraft { background-color: #e54c8f; }
.kurs-item.hit { background-color: #32bdb9; }
.kurs-item.choreografie { background-color: #4f8dc6; }
.kurs-item.bodyandmind { background-color: #157f92; }
.kurs-item.lowimpact { background-color: #8e63c2; }

.no-kurs {
    color: #7a7a7a;
    display: flex;
    align-items: center;
}

/* Mobile Styles */
@media (max-width: 1024px) {
    .desktop-view {
        display: none;
    }

    .mobile-view {
        display: block;
    }

    .kurs-tag-section {
        margin-bottom: 15px;
    }

    .kurs-tag-title {
        font-family: var(--h3_typography-font-family);
        font-weight: var(--h3_typography-font-weight);
        line-height: var(--h3_typography-line-height);
        letter-spacing: var(--h3_typography-letter-spacing);
        text-transform: var(--h3_typography-text-transform);
        font-style: var(--h3_typography-font-style, normal);
        padding: 10px;
        background-color: #f0f0f0;
        border: 1px solid #ccc;
        color: var(--awb-color7) !important;
        margin-bottom: 0;
    }

    .kurs-tag-content {
        padding: 10px;
        border: 1px solid #ccc;
        border-top: none;
    }

    .kurs-tag-section.active .kurs-tag-content {
        display: block; /* Show content when active */
    }

    .kurs-row {
        display: block;
        margin: 5px 0;
    }

    .no-kurs {
        display: none; /* Hide empty slots in accordion view */
    }
}

.kurs-legend {
    margin-top: 40px;
}

.kurs-legend .headline {
    font-size: 1.2em;
    font-weight: bold;
}

.kurs-legend ul {
    list-style: none;
    padding: 0;
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

.legend-item {
    display: flex;
    align-items: center;
    flex: 0 0 auto;
}

.legend-color {
    width: 15px;
    height: 15px;
    margin-right: 5px;
    border-radius: 50%;
}

/* Colors for each category */
.legend-item.cardio .legend-color { background-color: #ffb716; }
.legend-item.kraft .legend-color { background-color: #e54c8f; }
.legend-item.hit .legend-color { background-color: #32bdb9; }
.legend-item.choreografie .legend-color { background-color: #4f8dc6; }
.legend-item.bodyandmind .legend-color { background-color: #157f92; }
.legend-item.lowimpact .legend-color { background-color: #8E63C2; }